#ifndef MyTreeViewH
#define MyTreeViewH

#include <windows.h>
#include <commctrl.h>
#include "MyWindow.h"

/** Tda CMyTreeView */
class __declspec(dllexport) CMyTreeView : public CMyWindow {
//Konstruktory a destruktor
public:
	/** Implicitn konstruktor*/
	CMyTreeView();
	/** Destruktor*/
	virtual ~CMyTreeView();

protected:

private:



//Funkce a metody
public:

	HIMAGELIST						CreateDragImage(HTREEITEM hItem);

	BOOL								DeleteAllItems();

	BOOL								DeleteItem(HTREEITEM hItem);

	HWND								EditLabel(HTREEITEM hItem);

	BOOL								EndEditLabelNow(BOOL bCancel);

	BOOL								EnsureVisible(HTREEITEM hItem);

	BOOL								Expand(HTREEITEM hItem, UINT nFlag);

	COLORREF							GetBkColor();

	UINT								GetCheckState(HTREEITEM hItem);

	HTREEITEM						GetChild(HTREEITEM hItem);

	UINT								GetCount();

	HTREEITEM						GetDropHilight();

	HWND								GetEditControl();

	HTREEITEM						GetFirstVisible();

	HIMAGELIST						GetImageList(INT nImage);

	UINT								GetIndent();

	COLORREF							GetInsertMarkColor();

	BOOL								GetISearchString(LPCWSTR pwzString);

	BOOL								GetItem(LPTVITEM pItem);

	BOOL								GetItemEx(LPTVITEMEX psItem);

	int								GetItemHeight();

	BOOL								GetItemRect(HTREEITEM hItem, RECT* pRect, BOOL bItemRect);

	UINT								GetItemState(HTREEITEM hItem, UINT nStateMask);

	HTREEITEM						GetLastVisible();

	COLORREF							GetLineColor();

	HTREEITEM						GetNextItem(HTREEITEM hItem, UINT nFlag);

	HTREEITEM						GetNextSibling(HTREEITEM hItem);

	HTREEITEM						GetNextVisible(HTREEITEM hItem);

	HTREEITEM						GetParent(HTREEITEM hItem);

	HTREEITEM						GetPrevSibling(HTREEITEM hItem);

	HTREEITEM						GetPrevVisible(HTREEITEM hItem);

	HTREEITEM						GetRoot();

	UINT								GetScrollTime();

	HTREEITEM						GetSelection();

	COLORREF							GetTextColor();

	HWND								GetToolTips();

	BOOL								GetUnicodeFormat();

	UINT								GetVisibleCount();

	HTREEITEM						HitTest(LPTVHITTESTINFO psHitTestInfo);

	HTREEITEM						InsertItem(LPTVINSERTSTRUCT psInsert);

	BOOL								Select(HTREEITEM hItem, UINT nFlag);

	BOOL								SelectDropTarget(HTREEITEM hItem);

	BOOL								SelectItem(HTREEITEM hItem);

	BOOL								SelectSetFirstVisible(HTREEITEM hItem);

	COLORREF							SetBkColor(COLORREF clColor);

	BOOL								SetCheckState(HTREEITEM hItem, BOOL bCheck);

	HIMAGELIST						SetImageList(HIMAGELIST hImageList, INT nImage);

	BOOL								SetIndent(INT nIndent);

	BOOL								SetInsertMark(HTREEITEM hItem, BOOL bAfter);

	COLORREF							SetInsertMarkColor(COLORREF clColor);

	BOOL								SetItem(LPTVITEM psItem);

	BOOL								SetItemEx(LPTVITEMEX psItem);

	int								SetItemHeight(SHORT nHeight);

	BOOL								SetItemState(HTREEITEM hItem, UINT nState, UINT nStateMask);

	COLORREF							SetLineColor(COLORREF clColor);

	UINT								SetScrollTime(UINT nMaxScrollTime);

	COLORREF							SetTextColor(COLORREF clColor);

	HWND								SetToolTips(HWND hTooltip);

	BOOL								SetUnicodeFormat(BOOL bUnicode);

	BOOL								SortChildren(HTREEITEM hItem);

	BOOL								SortChildrenCB(LPTVSORTCB psSort);

protected:

private:



//Atributy a datove cleny
public:

protected:

private:

};

#endif


//Vygenerovno prostrednictvm ClassGen 1.10.001