#include "stdafx.h"
#include "MainView.h"
#include "resource.h"


//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CMainView::CMainView() : CMyWindow(L"_Test_Main_View_")
{		
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CMainView::~CMainView()
{			
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BOOL CMainView::OnCommand(WPARAM wParam, LPARAM lParam)
{
	switch(LOWORD(wParam)) {
		case(ID_TREE_VIEW):
			if (HIWORD(wParam) == 1) m_hListViewPanel.ChangeFolder((LPCWSTR)lParam);
			break;
	};

	return(FALSE);
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BOOL CMainView::OnCreate(LPCREATESTRUCT psCreateStruct)
{
	RECT	rtRect;	

	GetClientRect(&rtRect);

	m_hVertical.CreateMy(L"", WS_CHILD | WS_VISIBLE, this, 0, 0, 0, &rtRect);

	m_hVertical.GetLeftRect(&rtRect);
	m_hTreeViewPanel.CreateMyEx(L"", WS_CHILD | WS_VISIBLE, 0, &m_hVertical, 0, 0, 0, &rtRect);

	m_hVertical.GetRightRect(&rtRect);
	m_hListViewPanel.CreateMyEx(L"", WS_CHILD | WS_VISIBLE, 0, &m_hVertical, 0, 0, 0, &rtRect);

	m_hVertical.SetView(&m_hTreeViewPanel, &m_hListViewPanel);		

	return(TRUE);
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BOOL CMainView::OnDestroy()
{
	PostQuitMessage(0);

	return(CMyWindow::OnDestroy());
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BOOL CMainView::OnEraseBkgnd(HDC hDC)
{
	return(TRUE);
}

//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
BOOL CMainView::OnSize(DWORD dwResizingFlag, WORD wNewWidth, WORD wNewHeight)
{
	BOOL	bRet = CMyWindow::OnSize(dwResizingFlag, wNewWidth, wNewHeight);
	RECT	rtRect;

	GetClientRect(&rtRect);

	m_hVertical.Resize(&rtRect);

	return(bRet);
}

