#ifndef MyListViewH
#define MyListViewH

#include <windows.h>
#include <commctrl.h>
#include "MyWindow.h"

/** Tda CMyListView */
class __declspec(dllexport) CMyListView : public CMyWindow {
//Konstruktory a destruktor
public:
	/** Implicitn konstruktor*/
	CMyListView();
	/** Destruktor*/
	virtual ~CMyListView();

protected:

private:



//Funkce a metody
public:

	BOOL					SetExtendedStyle(DWORD dwMask, DWORD dwStyle);

	int					InsertColumn(UINT nColumnIndex, LPCWSTR pwzText, UINT nColumnWidth);

	int					SetColumnText(UINT nColumnIndex, LPCWSTR pwzText);

	int					SetItemText(int nItemIndex, UINT nSubItemIndex, LPCWSTR pwzText);

	int					InsertItem(int nItemIndex, LPCWSTR pwzText, UINT nIconIndex);

	int					InsertItem(int nItemIndex, LPCWSTR pwzText, UINT nIconIndex, LPVOID pParam);

	int					GetItemCount();

	UINT					GetSelectedCount();
	/** @param nMask ...	LVIS_CUT, LVIS_DROPHILITED, LVIS_FOCUSED, LVIS_SELECTED, LVIS_OVERLAYMASK, LVIS_STATEIMAGEMASK */
	UINT					GetItemState(int nIndex, UINT nMask);

	BOOL					GetItem(LPLVITEM psItem);

	BOOL					DeleteAllItems();

	BOOL					SortItems(PFNLVCOMPARE pfnCompare, LPARAM lParamSort);

protected:

private:



//Atributy a datove cleny
public:

protected:

private:

};

#endif


//Vygenerovno prostrednictvm ClassGen 1.10.001