#ifndef ListViewPanelH
#define ListViewPanelH

#include <windows.h>
#include "..\\MyDLL\\MyPanel.h"
#include "..\\MyDLL\\MyListView.h"

/** Tda CListViewPanel */
class CListViewPanel : public CMyPanel {
//Konstruktory a destruktor
public:
	/** Implicitn konstruktor*/
	CListViewPanel();
	/** Destruktor*/
	virtual ~CListViewPanel();

protected:

private:


//Funkce a metody
public:

	virtual BOOL						Resize(RECT* pClientRect = NULL);

	void									ChangeFolder(LPCWSTR pwzFolder);

protected:
	/***/
	virtual BOOL						OnCreate(LPCREATESTRUCT psCreateStruct);
	
	virtual BOOL						OnEraseBkgnd(HDC hDC);

	virtual BOOL						OnNotify(WPARAM wParam, LPARAM lParam);	

private:

	void									InitImageList();

	void									InitListView();

	void									InsertBitmap(UINT nID);


//Atributy a datove cleny
public:

protected:

private:

	HIMAGELIST							m_hImageList;

	CMyListView							m_hListView;	

};

#endif
